SND_PCM_PLAYBACK_(9)

NAME
snd_pcm_playback_ready - check whether the playback buffer is available

SYNOPSIS

int snd_pcm_playback_ready (struct snd_pcm_substream * substream);

ARGUMENTS

substream
    the pcm substream instance

DESCRIPTION

Checks whether enough free space is available on the playback buffer.

Returns non-zero if available, or zero if not.